rte_security_macsec_sa(3)

NAME
rte_security_macsec_sa

SYNOPSIS

#include <rte_security.h>

  Data Fields

enum rte_security_macsec_direction dir
struct {
const uint8_t * data
uint16_t length
} key
uint8_t salt [RTE_SECURITY_MACSEC_SALT_LEN]
uint8_t an: 2
uint32_t ssci
uint32_t xpn
uint32_t next_pn

Detailed Description

MACsec secure association (SA) configuration structure.

Definition at line 352 of file rte_security.h.

Field Documentation

  enum rte_security_macsec_direction dir
Direction of SA

Definition at line 354 of file rte_security.h.

  const uint8_t* data
pointer to key data

Definition at line 357 of file rte_security.h.

  uint16_t length
key length in bytes

Definition at line 358 of file rte_security.h.

  struct { ... } key
MACsec SA key for AES-GCM 128/256

  uint8_t salt[RTE_SECURITY_MACSEC_SALT_LEN]
96-bit value distributed by key agreement protocol

Definition at line 361 of file rte_security.h.

  uint8_t an
Association number to be used

Definition at line 363 of file rte_security.h.

  uint32_t ssci
Short Secure Channel Identifier, to be used for XPN cases

Definition at line 365 of file rte_security.h.

  uint32_t xpn
Extended packet number

Definition at line 367 of file rte_security.h.

  uint32_t next_pn
Packet number expected/ to be used for next packet of this SA

Definition at line 369 of file rte_security.h.

Author

Generated automatically by Doxygen for DPDK from the source code.